Agreements
Authorizations
x-api-idstringRequired
Body
idstringRequiredExample:
ID of the agreement
agreement_123payerUserIdstringRequiredExample:
ID of the user paying for milestones
123receiverUserIdstringRequiredExample:
ID of the user paid for milestones
123platformFeePercentagenumberRequiredExample:
Platform fee percentage (as a fraction, e.g. 0.01 for 1%)
0.01organizationFeePercentagenumberRequiredExample:
Organization fee percentage (as a fraction, e.g. 0.01 for 1%)
0.01Responses
200
Agreement created
application/json
400
Bad request
401
Unauthorized
404
Not found
500
Internal server error
post
/v1/agreementsAuthorizations
x-api-idstringRequired
Path parameters
idanyRequiredExample:
ID of the agreement
agreement_123Body
Responses
200
Milestone updated
application/json
400
Bad request
401
Unauthorized
404
Not found
500
Internal server error
501
Not implemented
patch
/v1/agreements/{id}/milestonesAuthorizations
x-api-idstringRequired
Path parameters
idstringRequiredExample:
External ID of the agreement
agreement_123milestoneIdstringRequiredExample:
External ID of the milestone
milestone_123Responses
200
Milestone cancelled
application/json
400
Bad request
401
Unauthorized
404
Not found
500
Internal server error
post
/v1/agreements/{id}/milestones/{milestoneId}/cancelLast updated